#pragma once
#include "Entity.h"
#define CS_FIREWORKSSOUND_CREATENAME L"CS_fireworks_sound"
//ÑÌ»¨ÉùÒô²úÉúÆ÷
class CS_FireworksSound :
    public Entity
{
public:
    CS_FireworksSound();
    void Step() override;
    int shoot_counter_max = 0;
    int shoot_counter = 0;
    int explode_counter = -1;
};

std::shared_ptr<Entity> CreateCS_FireworksSound();